# ZipArchive::setEncryptionIndex

(PHP >= 7.2.0, PHP 8, PECL zip >= 1.14.0)

ZipArchive::setEncryptionIndex — Set the encryption method of an entry defined by its index

### 说明

public ZipArchive::setEncryptionIndex(int `$index`, int `$method`, #[\SensitiveParameter] ?string `$password` = `null`): bool

Set the encryption method of an entry defined by its index.

### 参数

`index`

  Index of the entry.

`method`

  The encryption method defined by one of the ZipArchive::EM_ constants.

`password`

  Optional password, default used when missing.

### 返回值

成功时返回 `true`， 或者在失败时返回 `false`。

### 更新日志

版本 | 说明
--- | ---
8.0.0 | `password` is now nullable.

### 注释

> 注意:

> This function is only available if built against libzip ≥ 1.2.0.

### 参见

- ZipArchive::setPassword() - Set the password for the active archive
- ZipArchive::setEncryptionName() - Set the encryption method of an entry defined by its name

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open